/*
 *  hrdinp.C from ObjectProDSP 0.1
 *  Copyright (C) 1994, Mountain Math Software, All rights reserved.
 *  Licensed for free use and distribution under version 2 of the Gnu General
 *  Public License. Please see file COPYING for details and restrictions.
 *  
 *  ObjectProDSP is a trademark of Mountain Math Software.
 */
#ifndef TI_C30
#include <iostream.h>
#include "hrdinp.h"

istream& operator>>(istream& o, MachWord& v)
{
	double x ;
	o >> x ;
	v = x ;
	return o ;
}

istream& operator>>(istream& o, AccMachWord& v)
{
	double x ;
	o >> x ;
	v = x ;
	return o ;
}

istream& operator>>(istream& o, CxMachWord& v)
{
	complex x ;
	o >> x ;
	v = CxMachWord(real(x),imag(x)) ;
	return o ;
}

istream& operator>>(istream& o, CxAccMachWord& v)
{
	complex x ;
	o >> x ;
	v = CxAccMachWord((AccMachWord)real(x),(AccMachWord)imag(x)) ;
	return o ;
}

#endif
